import de.pakad.tools.StdIn;
import de.pakad.tools.StdOut;

/**
 * if-else-Demo: Jahreszeiten identifizieren.
 *
 * <p>Es wird eine Monatszahl interaktiv eingelesen und die
 * zugehrige Jahrezeit bestimmt. Dabei gelte:</p>
 * <ul>
 * <li>3 - 5 : <strong>Frhling</strong></li>
 * <li>6 - 8 : <strong>Sommer</strong></li>
 * <li>9 - 11: <strong>Herbst</strong></li>
 * <li>12, 1, 2: <strong>Winter</strong></li>
 * <li>sonst: <strong>unbekannte Jahreszeit</strong></li>
 * </ul>
 *
 * @author Karsten Brodmann
 */
public class IfElse {
    /**
     * @param args nicht verwendet
     */
    public static void main(String[] args) {
        int month = StdIn.readInt("Bitte eine Monatszahl: ");

        /* Fallunterscheidung mit if-else
         *
         * if (bedingung) { Anweisungen }
         * else { alternative Anweisungen}  // else ist optional
         */
        if (month >= 3 && month <= 5)      
            StdOut.println("Frhling");
        else if (month >= 6 && month <= 8)
            StdOut.println("Sommer");
        else if (month >= 9 && month <= 11)
            StdOut.println("Herbst");
        else if (month == 12 || month == 1 || month == 2)
            StdOut.println("Winter");
        else
            StdOut.println("unbekannte Jahreszeit");
    }
}
